Loading...
Searching...
No Matches
caf::detail::is_handler_for< F, T > Struct Template Reference

Checks whether F is convertible to either std::function<void (T&)> or std::function<void (const T&)>. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class F, class T>
struct caf::detail::is_handler_for< F, T >

Checks whether F is convertible to either std::function<void (T&)> or std::function<void (const T&)>.

## Member Data Documentation

## value

template<class F, class T>

bool caf::detail::is_handler_for< F, T >::value

static constexpr

Initial value:
=
std::is_convertible<F, std::function<void (T&)>>::value
|| std::is_convertible<F, std::function<void (const T&)>>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp